Previous Next Contents

3. The AX.25/NetRom/Rose software components.

The AX.25 software is comprised of three components, the kernel source, the network configuration tools and the utility programs.

The version 2.0.xx Linux kernels include the AX.25, NetRom, Z8530 SCC, PI card and PacketTwin drivers by default. These have been significantly enhanced in the 2.1.* kernels. Unfortunately, the rest of the 2.1.* kernels makes them fairly unstable at the moment and not a good choice for a production system. To solve this problem Jonathon Naylor has prepared a patch kit which will bring the amateur radio protocol support in a 2.0.28 kernel up to the standard of the 2.1.* kernels. This is very simple to apply, and provides a range of facilities not present in the standard kernel such as Rose support.

3.1 Finding the kernel, tools and utility packages.

The kernel source:

The kernel source can be found in its usual place at: ftp.kernel.org


/pub/linux/kernel/v2.0/linux-2.0.31.tar.gz

The current version of the AX25 upgrade patch is available at: ftp.pspt.fi


/pub/linux/ham/ax25/ax25-module-14e.tar.gz

The network tools:

The latest alpha release of the standard Linux network tools support AX.25 and NetRom and can be found at: ftp.inka.de


/pub/comp/Linux/networking/net-tools/net-tools-1.33.tar.gz

The latest ipfwadm package can be found at: ftp.xos.nl


/pub/linux/ipfwadm/

The AX25 utilities:

There are two different families of AX25-utilities. One is for the 2.0.* kernels and the other will work with either the 2.1.* kernels or the 2.0.*+moduleXX kernels. The ax25-utils version number indicates the oldest version of kernel that they will work with. Please choose a version of the ax25-utils appropriate to your kernel. The following are working combinations. You must use one of the following combinations, any other combination will not work, or will not work well.


Linux Kernel             AX25 Utility set

----------------------   -------------------------

linux-2.0.29             ax25-utils-2.0.12c.tar.gz **

linux-2.0.28+module12    ax25-utils-2.1.22b.tar.gz **

linux-2.0.30+module14c   ax25-utils-2.1.42a.tar.gz

linux-2.0.31+module14d   ax25-utils-2.1.42a.tar.gz

linux-2.1.22 ++          ax25-utils-2.1.22b.tar.gz

linux-2.1.42 ++          ax25-utils-2.1.42a.tar.gz

Note: the ax25-utils-2.0.* series (marked above with the '**' symbol) is now obsolete and is no longer supported. This document covers configuration using the versions of software recommended above the table. While there are differences between the releases, most of the information will be relevant to earlier releases of code.

The AX.25 utility programs can be found at: ftp.pspt.fi

or at: sunsite.unc.edu


Previous Next Contents